Qt 5.6 | Qt 3D | C++ Classes | QTexImageData

Qt 5.6.3 Reference Documentation

# QTexImageData Class

(Qt3DRender::QTexImageData)

- List of all members, including inherited members

## Public Functions

| QTexImageData()
virtual | ~QTexImageData()
void | cleanup()
QByteArray | data() const
int | depth() const
QOpenGLTexture::TextureFormat | format() const
int | height() const
bool | isCompressed() const
QOpenGLTexture::PixelFormat | pixelFormat() const
QOpenGLTexture::PixelType | pixelType() const
bool | setCompressedFile(const QString &source)
void | setData(const QByteArray &data, QOpenGLTexture::PixelFormat fmt, QOpenGLTexture::PixelType ptype)
void | setImage(const QImage &)
int | width() const
QTexImageData & | operator=(const QTexImageData &other)

## Protected Functions

| QTexImageData(QTexImageDataPrivate &dd)

## Member Function Documentation

### QTexImageData::QTexImageData()

Default constructs an instance of QTexImageData.

### `[protected]` QTexImageData::QTexImageData(QTexImageDataPrivate &dd)

Copy constructor.

### `[virtual]` QTexImageData::~QTexImageData()

Destroys the instance of QTexImageData. The destructor is virtual.

### void QTexImageData::cleanup()

### QByteArray QTexImageData::data() const

See also setData().

### int QTexImageData::depth() const

### QOpenGLTexture::TextureFormat QTexImageData::format() const

### int QTexImageData::height() const

### bool QTexImageData::isCompressed() const

### QOpenGLTexture::PixelFormat QTexImageData::pixelFormat() const

### QOpenGLTexture::PixelType QTexImageData::pixelType() const

### bool QTexImageData::setCompressedFile(const QString &source)

### void QTexImageData::setData(const QByteArray &data, QOpenGLTexture::PixelFormat fmt, QOpenGLTexture::PixelType ptype)

See also data().

### void QTexImageData::setImage(const QImage &)

### int QTexImageData::width() const

### QTexImageData &QTexImageData::operator=(const QTexImageData &other)

Copy-assignment operator.